# Limits per request

In addition to the rate limiting, each API endpoint has limits on the number of objects that it can transact in each request (each single request).

For the POST/PUT/DELETE verb type endpoints, when an application exceeds the maximum allowed number of objects in a single request, the API **WILL NOT** process the request and will return an [error code 413](https://en.wikipedia.org/wiki/List_of_HTTP_status_codes) (Request entity too large). In this case, it is your responsibility to modify the requested quantity of objects and retry your request later.

For most of GET verb type endpoints, when an application exceeds the maximum allows number of objects in a single request, the API will process the request and will return a successful [code 206](https://en.wikipedia.org/wiki/List_of_HTTP_status_codes) (Partial content).

The partial content contains UP TO the maximum allowed number of objects that the request can handle, no matter the quantity that the application have requested. In this case, it is your responsibility to modify the requested quantity of objects and retry your request later.

If the application do not exceed the maximum allowed number of objects that the request can handle, the API will return a successful [code 200](https://en.wikipedia.org/wiki/List_of_HTTP_status_codes).

Each one of the API endpoints has a different quantity limit and they are documented in the next sections. The quantity and paging limit are PER REQUEST. This limit is not per time-window period. One single request cannot exceed the maximum number of objects that can manage.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/usage-limiting/limits-per-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
